package com.jiuqi.util;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/EncryptUtil.class */
public class EncryptUtil {
    public static char ENCRYPT_KEY = '\t';

    private EncryptUtil() {
    }

    public static boolean encryptFile(String inFile, String outFile) {
        return encryptFile(new File(inFile), new File(outFile));
    }

    public static boolean encryptFile(DataInputStream in, DataOutputStream out) {
        boolean result;
        char key = ENCRYPT_KEY;
        while (true) {
            try {
                try {
                    byte k = (byte) (key >>> '\b');
                    byte b = (byte) (in.readByte() ^ k);
                    key = (char) (key + (b & 255));
                    out.writeByte(b);
                } catch (EOFException unused) {
                    result = true;
                    return result;
                } catch (Exception e) {
                    e.printStackTrace();
                    result = false;
                    try {
                        in.close();
                        out.close();
                    } catch (Exception unused2) {
                    }
                    return result;
                }
            } finally {
                try {
                    in.close();
                    out.close();
                } catch (Exception unused3) {
                }
            }
        }
    }

    public static boolean encryptFile(File inFile, File outFile) {
        boolean result;
        DataInputStream in = null;
        DataOutputStream out = null;
        char key = ENCRYPT_KEY;
        if (!outFile.exists()) {
            try {
                outFile.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
                return false;
            }
        }
        if (!inFile.exists()) {
            System.out.println("加密操作失败:待加密文件不存在。");
            return false;
        }
        try {
            try {
                in = new DataInputStream(new BufferedInputStream(new FileInputStream(inFile)));
                out = new DataOutputStream(new BufferedOutputStream(new FileOutputStream(outFile)));
                while (true) {
                    try {
                        byte k = (byte) (key >>> '\b');
                        byte b = (byte) (in.readByte() ^ k);
                        key = (char) (key + (b & 255));
                        out.writeByte(b);
                    } catch (EOFException unused) {
                        result = true;
                        if (in != null) {
                            try {
                                in.close();
                            } catch (Exception e2) {
                                e2.printStackTrace();
                                return result;
                            }
                        }
                        if (out != null) {
                            out.close();
                        }
                        return result;
                    }
                }
            } catch (Exception e3) {
                e3.printStackTrace();
                result = false;
                if (in != null) {
                    try {
                        in.close();
                    } catch (Exception e4) {
                        e4.printStackTrace();
                        return result;
                    }
                }
                if (out != null) {
                    out.close();
                }
                return result;
            }
        } catch (Throwable th) {
            if (in != null) {
                try {
                    in.close();
                } catch (Exception e5) {
                    e5.printStackTrace();
                    throw th;
                }
            }
            if (out != null) {
                out.close();
            }
            throw th;
        }
    }

    public static boolean decryptFile(String inFile, String outFile) {
        return decryptFile(new File(inFile), new File(outFile));
    }

    public static boolean decryptFile(File inFile, File outFile) {
        boolean result;
        char key = ENCRYPT_KEY;
        DataInputStream in = null;
        DataOutputStream out = null;
        if (!outFile.exists()) {
            try {
                outFile.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
                return false;
            }
        }
        try {
            if (!inFile.exists()) {
                System.out.println("解密操作失败:待解密文件不存在。");
                return false;
            }
            try {
                in = new DataInputStream(new BufferedInputStream(new FileInputStream(inFile)));
                out = new DataOutputStream(new BufferedOutputStream(new FileOutputStream(outFile)));
                while (true) {
                    try {
                        byte temp = in.readByte();
                        byte tk = (byte) (key >>> '\b');
                        key = (char) (key + (temp & 255));
                        out.writeByte((byte) (temp ^ tk));
                    } catch (EOFException unused) {
                        result = true;
                        if (in != null) {
                            try {
                                in.close();
                            } catch (Exception e2) {
                                e2.printStackTrace();
                                return result;
                            }
                        }
                        if (out != null) {
                            out.close();
                        }
                        return result;
                    }
                }
            } catch (Exception e3) {
                e3.printStackTrace();
                result = false;
                if (in != null) {
                    try {
                        in.close();
                    } catch (Exception e4) {
                        e4.printStackTrace();
                        return result;
                    }
                }
                if (out != null) {
                    out.close();
                }
            }
        } catch (Throwable th) {
            if (in != null) {
                try {
                    in.close();
                } catch (Exception e5) {
                    e5.printStackTrace();
                    throw th;
                }
            }
            if (out != null) {
                out.close();
            }
            throw th;
        }
    }

    public static boolean decryptFile(DataInputStream in, DataOutputStream out) {
        boolean result;
        char key = ENCRYPT_KEY;
        while (true) {
            try {
                try {
                    byte temp = in.readByte();
                    byte tk = (byte) (key >>> '\b');
                    key = (char) (key + (temp & 255));
                    out.writeByte((byte) (temp ^ tk));
                } catch (EOFException unused) {
                    result = true;
                    return result;
                } catch (Exception e) {
                    e.printStackTrace();
                    result = false;
                    try {
                        in.close();
                        out.close();
                    } catch (Exception unused2) {
                    }
                    return result;
                }
            } finally {
                try {
                    in.close();
                    out.close();
                } catch (Exception unused3) {
                }
            }
        }
    }
}
